### Struct

# FwupdPlugin UsbHidDescriptorHdr

since: 1.0

#### Description

    struct FuUsbHidDescriptorHdr {
      GByteArray* buf;
      guint refcount;
    }

No description available.

###### Structure members

`buf`
  No description available.
`refcount`
  No description available.

Available since: 1.0

#### Functions

###### fu_usb_hid_descriptor_hdr_parse_stream

No description available.

since: 1.0

#### Instance methods

###### fu_usb_hid_descriptor_hdr_get_class_descriptor_length

No description available.

since: 1.0

###### fu_usb_hid_descriptor_hdr_get_class_descriptor_type

No description available.

since: 1.0

###### fu_usb_hid_descriptor_hdr_get_country_code

No description available.

since: 1.0

###### fu_usb_hid_descriptor_hdr_get_hid

No description available.

since: 1.0

###### fu_usb_hid_descriptor_hdr_get_length

No description available.

since: 1.0

###### fu_usb_hid_descriptor_hdr_get_num_descriptors

No description available.

since: 1.0

###### fu_usb_hid_descriptor_hdr_ref

No description available.

since: 1.0

###### fu_usb_hid_descriptor_hdr_unref

No description available.

since: 1.0